> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolphinflashcards.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search

> Search for a flashcard by it's title. The flashcard could be owned by any user



## OpenAPI

````yaml post /search
openapi: 3.1.0
info:
  title: DolphinFlashcardApp API
  version: '1.0'
  summary: Manage flashcards
  description: >-
    Set up user accounts, create or manage flashcards, set learning goals, and
    track performances with user's heatmap and streak data. Data is available in
    JSON format only. <br></br>**Note**: All parameters are case-sensitive.
    Request body parameters are required, but the query parameters are
    optional. 
  contact:
    name: Dolphin Flashcards
    url: https://dolphinflashcards.com/contact
    email: dolphinflashcards@outlook.com
  license:
    name: MIT
    url: https://github.com/jacob-macleod/Dolphin-Flashcard-App/blob/main/LICENSE
servers:
  - url: http://dolphinflashcards.com/api
    description: baseurl
security: []
tags:
  - name: Account
    description: Groups the endpoints required to create an account.
  - name: Card management
    description: Groups the endpoints required to create and manage flashcards.
  - name: Goal
    description: Groups the endpoints required to create and manage goals.
  - name: Statistics
    description: Groups the endpoints required to track heatmap and streak.
paths:
  /search:
    post:
      tags:
        - Card Management
      summary: Search
      description: >-
        Search for a flashcard by it's title. The flashcard could be owned by
        any user
      operationId: post-search
      parameters:
        - schema:
            type: string
          in: query
          name: name
          description: The name of the flashcard to search for
      responses:
        '200':
          description: OK.
          content:
            application/json:
              schema:
                type: array
                x-examples:
                  Example 1:
                    - streak: 0
                items:
                  type:
                    - object
                    - integer
                  properties:
                    '200':
                      type: integer
                      x-stoplight:
                        id: rrojbzk2fmv0x
                      description: HTTP status code indicating a successful operation.
                    streak:
                      type: array
                      example:
                        - name: Flashcard1
                          id: '1'
                      description: Specifies the user's calculated streak.
        '400':
          description: >-
            A bad request error. Returned when the request body parameter is not
            in the expected JSON format.
          content:
            application/json:
              schema:
                type: object
                x-examples:
                  Example 1:
                    error: >-
                      Your supplied json keys do not match the expected format.
                      The request should be in the format...
                properties:
                  error:
                    type: string
                    example: >-
                      Your supplied json keys do not match the expected format.
                      The request should be in the format...
                    description: >-
                      Describes the nature of the error and provides a possible
                      solution.
        '500':
          description: 'Internal server error. '
          content:
            application/json:
              schema:
                type: object
                x-examples:
                  Example 1:
                    error: (Error Message)
                properties:
                  error:
                    type: string
                    description: >-
                      Describes the nature of the error and provides a possible
                      reason.
                    example: User does not exist.

````